========
API Docs
========

.. autoclass:: sentry_sdk.Hub
    :members:

.. autoclass:: sentry_sdk.Scope
    :members:

.. autoclass:: sentry_sdk.Client
    :members:

.. autoclass:: sentry_sdk.client.BaseClient
    :members:

.. autoclass:: sentry_sdk.client.NonRecordingClient
    :members:

.. autoclass:: sentry_sdk.client._Client
    :members:

.. autoclass:: sentry_sdk.Transport
    :members:

.. autoclass:: sentry_sdk.HttpTransport
    :members:

.. autoclass:: sentry_sdk.tracing.Transaction
   :members:

.. autoclass:: sentry_sdk.tracing.Span
   :members:

.. autoclass:: sentry_sdk.profiler.transaction_profiler.Profile
   :members:

.. autoclass:: sentry_sdk.session.Session
   :members:

.. autoclass:: sentry_sdk.attachments.Attachment
   :members:

.. autoclass:: sentry_sdk.scrubber.EventScrubber
   :members:

.. autoclass:: sentry_sdk.monitor.Monitor
   :members:

.. autoclass:: sentry_sdk.envelope.Envelope
   :members:

.. autoclass:: sentry_sdk.envelope.Item
   :members:
